---

- name: Disable selinux
  lineinfile:
    path: /etc/selinux/config
    regexp: "^SELINUX=enforcing"
    line: "SELINUX=disabled"
  register: result

- name: Reboot host if selinux status changes
  reboot:
  async: 1
  poll: 0
  ignore_errors: True
  when: result.changed

- name: Wait for host to reboot
  wait_for_connection:
    connect_timeout: 20
    sleep: 5
    delay: 5
    timeout: 120
  when: result.changed

- name: Import ELRepo GPG key
  shell: rpm --import https://www.elrepo.org/RPM-GPG-KEY-elrepo.org

- name: Install ELRepo repository
  dnf:
    name: https://www.elrepo.org/elrepo-release-9.el9.elrepo.noarch.rpm
    state: present

- name: Refresh DNF repositories
  dnf:
    update_cache: yes

- name: Install yum-utils and additional repositories
  dnf:
    name: "{{ item }}"
    state: present
  loop:
    - yum-utils
    - almalinux-release-synergy
    - epel-next-release

# - name: Set priority in epel.repo
#   lineinfile:
#     path: /etc/yum.repos.d/epel.repo
#     regexp: '^priority='
#     line: 'priority=10'
#   become: yes

- name: Add Docker repository
  shell: yum-config-manager --add-repo https://download.docker.com/linux/centos/docker-ce.repo

- name: Install Docker packages
  dnf:
    name: "{{ item }}"
    state: present
  loop:
    - docker-ce
    - docker-ce-cli
    - containerd.io
    - docker-compose-plugin

- name: Install Utility Packages
  dnf:
    name: "{{ item }}"
    state: present
  loop:
    - htop
    - inxi
